Statusseite Statistiken

GET https://uptime.condoo.systems/api/statistics/{status_page_id}
Parameter Details Beschreibung
start_date Optional String Startdatum im Format Y-m-d.
end_date Optional String Enddatum im Format Y-m-d.
type Optional String Erlaubte Werte: overview, entries, referrer_host, referrer_path, crawler, continent_code, country_code, region_name, city_name, timezone, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour, weekday, visitor_type, acquisition_channel
continent_code Optional String Available when: type = country_code
country_code Optional String Available when: type = region_name, city_name
region_name Optional String Available when: type = city_name
referrer_type Optional String Erlaubte Werte: all, ai, social_media, search_engines, other_websites Available when: type = referrer_host, referrer_path
crawler_type Optional String Erlaubte Werte: all, ai, search_engines Available when: type = crawler
utm_source Optional String Available when: type = utm_medium, utm_campaign
utm_medium Optional String Available when: type = utm_campaign
referrer_host Optional String Available when: type = referrer_path
order_by Optional String Nach welchem Feld sollen die Ergebnisse sortiert werden? Erlaubte Werte sind: id, datetime. Available when: type = entries
order_type Optional String Die Reihenfolge der Ergebnisse. Erlaubte Werte sind: ASC für aufsteigende Reihenfolge und DESC für absteigende Reihenfolge. Available when: type = entries
page Optional Zahl Die Seitenzahl, von der du die Ergebnisse haben möchtest. Standardmäßig ist sie 1. Available when: type = entries
results_per_page Optional Zahl Wie viele Ergebnisse möchtest du pro Seite sehen? Erlaubte Werte sind: 10, 25, 50, 100, 250, 500, 1000. Standardmäßig ist es 25. Available when: type = entries
curl --request GET \
--url 'https://uptime.condoo.systems/api/statistics/{status_page_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": [
        {
            "pageviews": 20,
            "visitors": 5,
            "formatted_date": "2021-01"
        },
        {
            "pageviews": 35,
            "visitors": 10,
            "formatted_date": "2021-02"
        },
        {
            "pageviews": 50,
            "visitors": 25,
            "formatted_date": "2021-03"
        }
    ]
}